/***
	File:		LCGIStatusWindow.h


	Contains:	<contents>


	Written by:	Ken Wieschhoff


	Copyright:	1996 Siren Enterprises, All Rights Reserved.


	Change History (most recent first):



       <1>     9/5/96  kw     Text Services status window

***/


#pragma once
#include <LHandleStream.h>
#include <LWindow.h>

#include <LThread.h>

class LStatusWindow : public LWindow
{
 public:
						LStatusWindow();
						~LStatusWindow();
	virtual void		MakeStatusWindow();

	static WindowPtr	sMacWindowP;


};


class LCGIStatusThread : public LThread
{
	public:
		LCGIStatusThread (LCommander *itsSuper);
		~LCGIStatusThread();

		void OpenStatusWindow();
		void CloseStatusWindow();

		LStatusWindow				*mWindow;
		static Boolean				sNeedsRedraw;
		static Boolean				sNeedsUpdate;
		static long					sMaxConnected;
		static long					sTotalConnections;

	protected:

		// thread execution
		virtual void*	Run();

};

void InstallGNEFilter ();
void RemoveGNEFilter ();
pascal short CGIGNEFilter ( short result, EventRecord *theEvent, GNEFilterUPP *oldHook);

#if GENERATINGCFM
void CallPPCGNEFilter( EventRecord *theEvent, short *result);
#else
asm long *A5Stash();
asm void Call68KGNEFilter();
#endif

struct DITLItem {
	long	unused;
	Rect	bounds;
	short	unused2;
};
typedef struct DITLItem DITLItem;


struct DITLTemplate {
	short							numItems;
	DITLItem						eachItem[];
};
typedef struct DialogTemplate DialogTemplate;

typedef DITLTemplate *DITLTemplatePtr, **DITLTemplateHdl;

