/***
	File:		LRequest.h


	Contains:	<contents>


	Written by:	Ken Wieschhoff


	Copyright:	1996 Siren Enterprises, All Rights Reserved.


	Change History (most recent first):



       <1>     9/5/96  kw     Include for the single request thread.

***/


#include <LHandleStream.h>
#include <LApplication.h>
#include <LString.h>
#include <LThread.h>

class LRequest : public LThread
{
	public:
		LRequest (AEAddressDesc WebStar, long connectionID,  Handle formData);
		~LRequest();


	protected:

		// thread execution
		virtual void*	Run();

		OSErr	SendData( unsigned char *data, Size itsLength, Boolean more, Boolean sendNow);
		OSErr	ReturnDataToClient( Boolean more);
		void	FormatCell( long row, long column, LStr255 &cellData);
		void	ParseData( long *row, long *column);

	private:
		AEAddressDesc		mWebSTAR;
		long 				mConnectionID;
		LHandleStream		*mData;
		Handle				mFormData;
};